include "types.cf"
include "NAtypes.cf"
include "NetAppSnapMirrorTypes.cf"

cluster primary (
	UserNames = { admin = fIJbIDiFJeJJhRJdIG }
	ClusterAddress = "10.182.13.222"
	Administrators = { admin }
	CounterInterval = 5
	)

remotecluster secondary (
	ClusterAddress = "10.182.13.224"
	)

heartbeat Icmp (
	ClusterList = { secondary }
	Arguments @secondary = { "10.182.13.224" }
	)

system primary1 (
	)

system primary2 (
	)

group ClusterService (
	SystemList = { primary1 = 0, primary2 = 0 }
	AutoStartList = { primary1, primary2 }
	OnlineRetryLimit = 3
	OnlineRetryInterval = 120
	)

	Application wac (
		StartProgram = "/opt/VRTSvcs/bin/wacstart"
		StopProgram = "/opt/VRTSvcs/bin/wacstop"
		MonitorProcesses = { "/opt/VRTSvcs/bin/wac" }
		RestartLimit = 3
		)

	IP gcoip (
		Device = bge0
		Address = "10.182.13.222"
		NetMask = "255.255.240.0"
		)

	NIC csgnic (
		Device = bge0
		)

	gcoip requires csgnic
	wac requires gcoip


	// resource dependency tree
	//
	//	group ClusterService
	//	{
	//	Application wac
	//	    {
	//	    IP gcoip
	//	        {
	//	        NIC csgnic
	//	        }
	//	    }
	//	}


group ntap (
	SystemList = { primary1 = 0, primary2 = 1 }
	ClusterList = { secondary = 0, primary = 1 }
	)

	NetAppExport nfs (
		FilerResName = filer
		FilerPathName = "/vol/unixvol"
		FilerOptions @primary1 = "access=primary1,root=primary1"
		FilerOptions @primary2 = "access=primary2,root=primary2"
		MountPathName = "/ntap"
		MountOptions = rw
		)

	NetAppFiler filer (
		FilerName = priflr
		)

	NetAppSnapMirror sm (
		VolumeName = unixvol
		SnapMirrorSchedule = "0 23 * *"
		LocalFilerName = priflr
		LocalFilerPword = eseQfsHshSlqTsgQi  
		RemoteFilerName = secflr
		RemoteFilerPword = exeQfgHsHElqTsrNi
		)

	nfs requires sm
	sm requires filer


	// resource dependency tree
	//
	//	group ntap
	//	{
	//	NetAppExport nfs
	//	    {
	//	    NetAppSnapMirror sm
	//	        {
	//	        NetAppFiler filer
	//	        }
	//	    }
	//	}
